using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Data.SqlClient;
using System.Windows.Forms;

namespace RFID
{
    class entradasalida
    {

        SqlConnection MiConexion1;

        public void Conectar1()
        {
            //la cadena de conexión va a cambiar en sus computadoras... 
            MiConexion1 = new SqlConnection("Data Source=DANIEL\\SQLEXPRESS;Initial Catalog=entradasalida;Integrated Security=True");
            MiConexion1.Open();

        }

        public void Desconectar1()
        {

            MiConexion1.Close();

        }

        public void EjecutarSql1(String Query1)
        {

            SqlCommand MiComando = new SqlCommand(Query1, MiConexion1);

            //ejecutamos la consulta (query) sql...
            int FilasAfectadas1 = MiComando.ExecuteNonQuery();
            /*
            if (FilasAfectadas1 > 0)
                MessageBox.Show("Operación realizada exitosamente", "la base de datos ha sido modificada", MessageBoxButtons.OK, MessageBoxIcon.Information);
            else

                MessageBox.Show("No se pudo realizar la modificación de la base de datos :-(", "Error del sistema", MessageBoxButtons.OK, MessageBoxIcon.Error);
        */
        }


        public void ActualizarGrid1(DataGridView dg1, String Query1)
        {

            //conectarnos a la base de datos...
            this.Conectar1();

            //crear DataSet
            System.Data.DataSet MiDataSet1 = new System.Data.DataSet();

            //Crear Adaptador de datos
            SqlDataAdapter MiDataAdapter1 = new SqlDataAdapter(Query1, MiConexion1);

            //LLenar el DataSet
            MiDataAdapter1.Fill(MiDataSet1, "entradasalida");

            //Asignarle el valor adecuado a las propiedades del DataGrid
            dg1.DataSource = MiDataSet1;
            dg1.DataMember = "entradasalida";

            //nos desconectamos de la base de datos...
            this.Desconectar1();
        }


    }
}
